Bug 868254 - vdagent-win exits if two users are logged in simultaneously
vdagent-win exits if two users are logged in simultaneously
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-vdagent-win (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2.0
Assigned To: Arnon Gilboa
Desktop QE
:
: 922421 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 06:55 EDT by David Jaša
Modified: 2015-09-22 09 EDT (History)
6 users (show)

See Also:
Fixed In Version: vdagent-win-0.1-15
Doc Type: Bug Fix
Doc Text:
Previously, when a second user logged into a Windows guest, the RHEV SPICE Agent service terminated the previous vdagent instance, but mistakenly also the newly created vdagent on the current active session. Now, the vdagent termination event is reset after previous agent termination, so each new agent is no longer terminated.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:26:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
on XP, set process handle for vdagent launched on session>0 (1.49 KB, patch)
2012-11-25 10:08 EST, Arnon Gilboa
no flags Details | Diff
vdagent log for windows 7 guest (31.98 KB, text/plain)
2013-02-21 10:16 EST, Milan Barta
no flags Details
vdservice log for Windows 7 guest (2.08 KB, text/plain)
2013-02-21 10:17 EST, Milan Barta
no flags Details
vdservice: reset vdagent stop event after wait for termination (1.01 KB, patch)
2013-02-26 10:57 EST, Arnon Gilboa
no flags Details | Diff

  None (edit)
Description David Jaša 2012-10-19 06:55:11 EDT
Description of problem:
vdagent-win exits if two users are logged in simultaneously

Version-Release number of selected component (if applicable):
vdagent-win-0.1-11

How reproducible:
always

Steps to Reproduce:
1. log in to windows
2. use "switch user" feature and log in as another user
3.
  
Actual results:
agent features stop working for both accounts

Expected results:
the active user is able to use agent features

Additional info:
tested just on XP guest
Comment 1 Arnon Gilboa 2012-11-25 10:08:02 EST
Created attachment 651552 [details]
on XP, set process handle for vdagent launched on session>0
Comment 3 Milan Barta 2013-02-21 10:15:35 EST
This bug is fixed for Windows XP in vdagent-win-0.1-14, however for Windows 7 guest, this fix has introduced a very similar issue. 

Basically the steps to reproduce are the same as above plus one more user switch back to user one. With this done, the vdagent goes into a loop of switching off and on, eventually staying off (see logs attached).

With vdagent-win-0.1.12 or 0.1.13 no such behaviour could be reproduced (Win7 guest).

Switching the bug back to Assigned as this seems to be a regression.
Comment 4 Milan Barta 2013-02-21 10:16:27 EST
Created attachment 700597 [details]
vdagent log for windows 7 guest
Comment 5 Milan Barta 2013-02-21 10:17:08 EST
Created attachment 700598 [details]
vdservice log for Windows 7 guest
Comment 6 Arnon Gilboa 2013-02-26 04:49:40 EST
(In reply to comment #3)
> This bug is fixed for Windows XP in vdagent-win-0.1-14, however for Windows
> 7 guest, this fix has introduced a very similar issue. 
> 
> Basically the steps to reproduce are the same as above plus one more user
> switch back to user one. With this done, the vdagent goes into a loop of
> switching off and on, eventually staying off (see logs attached).
> 
> With vdagent-win-0.1.12 or 0.1.13 no such behaviour could be reproduced
> (Win7 guest).
> 
> Switching the bug back to Assigned as this seems to be a regression.

Thanks Milan. Sure it's a regression. Working on a patch.
Comment 7 Arnon Gilboa 2013-02-26 10:57:19 EST
Created attachment 702992 [details]
vdservice: reset vdagent stop event after wait for termination
Comment 10 Marian Krcmarik 2013-03-17 17:52:23 EDT
*** Bug 922421 has been marked as a duplicate of this bug. ***
Comment 14 errata-xmlrpc 2013-06-10 16:26:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0924.html

Note You need to log in before you can comment on or make changes to this bug.